Conll02NameSampleStream (Apache OpenNLP Tools 2.5.9 API)
Description: declaration: package: opennlp.tools.formats, class: Conll02NameSampleStream

# Class Conll02NameSampleStream

java.lang.Object
opennlp.tools.formats.Conll02NameSampleStream

All Implemented Interfaces:
  `AutoCloseable, ObjectStream<NameSample>`

@Internal public class Conll02NameSampleStream extends Object implements ObjectStream<NameSample>
Parser for the Dutch and Spanish ner training files of the CONLL 2002 shared task.

The Dutch data has a `DOCSTART` tag to mark article boundaries, adaptive data in the feature generators will be cleared before every article.
The Spanish data does not contain article boundaries, adaptive data will be cleared for every sentence.

The data contains four named entity types: Person, Organization, Location and Misc.

Data can be found on this web site.

Note: Do not use this class, internal use only!

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `Conll02NameSampleStream.LANGUAGE`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DOCSTART`
  `static final int`
  `GENERATE_LOCATION_ENTITIES`
  `static final int`
  `GENERATE_MISC_ENTITIES`
  `static final int`
  `GENERATE_ORGANIZATION_ENTITIES`
  `static final int`
  `GENERATE_PERSON_ENTITIES`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Conll02NameSampleStream(Conll02NameSampleStream.LANGUAGE lang, InputStreamFactory in, int types)`
  Initializes a `Conll02NameSampleStream`.
  `Conll02NameSampleStream(Conll02NameSampleStream.LANGUAGE lang, ObjectStream<String> lineStream, int types)`
  Initializes a `Conll02NameSampleStream`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  Closes the `ObjectStream` and releases all allocated resources.
  `NameSample`
  `read()`
  Returns the next `T` object.
  `void`
  `reset()`
  Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly.

  ### Methods inherited from class Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### GENERATE_PERSON_ENTITIES

    public static final int GENERATE_PERSON_ENTITIES
    See Also:
      - Constant Field Values

  - ### GENERATE_ORGANIZATION_ENTITIES

    public static final int GENERATE_ORGANIZATION_ENTITIES
    See Also:
      - Constant Field Values

  - ### GENERATE_LOCATION_ENTITIES

    public static final int GENERATE_LOCATION_ENTITIES
    See Also:
      - Constant Field Values

  - ### GENERATE_MISC_ENTITIES

    public static final int GENERATE_MISC_ENTITIES
    See Also:
      - Constant Field Values

  - ### DOCSTART

    public static final String DOCSTART
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Conll02NameSampleStream

    public Conll02NameSampleStream(Conll02NameSampleStream.LANGUAGE lang, ObjectStream<String> lineStream, int types)
    Initializes a `Conll02NameSampleStream`.
    Parameters:
      `lang` - The language of the CONLL 02 data.
      `lineStream` - An `ObjectStream<String>` over the lines in the CONLL 02 data file.
      `types` - The entity types to include in the Name Sample object stream.

  - ### Conll02NameSampleStream

    public Conll02NameSampleStream(Conll02NameSampleStream.LANGUAGE lang, InputStreamFactory in, int types) throws IOException
    Initializes a `Conll02NameSampleStream`.
    Parameters:
      `lang` - The language of the CONLL 02 data.
      `in` - The `InputStreamFactory` for the input file.
      `types` - The entity types to include in the Name Sample object stream.
    Throws:
      `IOException` - Thrown if IO errors occurred.

- ## Method Details

  - ### read

    public NameSample read() throws IOException
    Description copied from interface: `ObjectStream`
    Returns the next `T` object. Calling this method repeatedly until it returns `null` will return each object from the underlying source exactly once.
    Specified by:
      `read` in interface `ObjectStream<NameSample>`
    Returns:
      The next object or `null` to signal that the stream is exhausted.
    Throws:
      `IOException` - Thrown if there is an error during reading.

  - ### reset

    public void reset() throws IOException, UnsupportedOperationException
    Description copied from interface: `ObjectStream`
    Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly. This method can be used to re-read the stream if multiple passes over the objects are required.

    The implementation of this method is optional.

    Specified by:
      `reset` in interface `ObjectStream<NameSample>`
    Throws:
      `IOException` - Thrown if there is an error during resetting the stream.
      `UnsupportedOperationException` - Thrown if the `reset()` is not supported. By default, this is the case.

  - ### close

    public void close() throws IOException
    Description copied from interface: `ObjectStream`
    Closes the `ObjectStream` and releases all allocated resources. After close was called, it's not allowed to call `ObjectStream.read()` or `ObjectStream.reset()`.
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `ObjectStream<NameSample>`
    Throws:
      `IOException` - Thrown if there is an error during closing the stream.